org.apache.commons.math.stat.ranking

## Enum NaNStrategy

- java.lang.Object
- - java.lang.Enum<NaNStrategy>
  - - org.apache.commons.math.stat.ranking.NaNStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NaNStrategy>

    public enum NaNStrategy
    extends java.lang.Enum<NaNStrategy>

Strategies for handling NaN values in rank transformations.

- MINIMAL - NaNs are treated as minimal in the ordering, equivalent to (that is, tied with) `Double.NEGATIVE_INFINITY`.
- MAXIMAL - NaNs are treated as maximal in the ordering, equivalent to `Double.POSITIVE_INFINITY`
- REMOVED - NaNs are removed before the rank transform is applied
- FIXED - NaNs are left "in place," that is the rank transformation is applied to the other elements in the input array, but the NaN elements are returned unchanged.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FIXED` NaNs are left in place
`MAXIMAL` NaNs are considered maximal in the ordering
`MINIMAL` NaNs are considered minimal in the ordering
`REMOVED` NaNs are removed before computing ranks

### Method Summary

Methods
`static NaNStrategy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NaNStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MINIMAL

    public static final NaNStrategy MINIMAL

NaNs are considered minimal in the ordering

#### MAXIMAL

    public static final NaNStrategy MAXIMAL

NaNs are considered maximal in the ordering

#### REMOVED

    public static final NaNStrategy REMOVED

NaNs are removed before computing ranks

#### FIXED

    public static final NaNStrategy FIXED

NaNs are left in place

### Method Detail

#### values

    public static NaNStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NaNStrategy c : NaNStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NaNStrategy valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null